/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSPageRule_H___INT_
#define __GdomCSSPageRule_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomCSSRule.h"
#include "GDOMObject.h"
#include "CSSPageRule.h"
G_BEGIN_DECLS
class GDOMCSSPageRule : public GDOMCSSRule {
    typedef GDOMCSSRule Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_PAGE_RULE; }
    GDOMCSSPageRule(PassRefPtr<WebCore::CSSPageRule> impl);
};
G_END_DECLS

#endif /* __GdomCSSPageRule_H___INT_*/
